summaryrefslogtreecommitdiffstats
path: root/development/mtd-utils
diff options
context:
space:
mode:
author Vincent Batts2010-05-13 00:57:56 +0200
committer Robby Workman2010-05-13 00:57:56 +0200
commit2d69974d63a295691b5317656b254e9153e83b2f (patch)
tree46b0744e3c8207d3776e993b7497a5e92e4f649c /development/mtd-utils
parente15bc72928e7d12b4fead0d9f31ae4791efd43a7 (diff)
downloadslackbuilds-2d69974d63a295691b5317656b254e9153e83b2f.tar.gz
development/mtd-utils: Added to 13.0 repository
Diffstat (limited to 'development/mtd-utils')
-rw-r--r--development/mtd-utils/README4
-rw-r--r--development/mtd-utils/mtd-utils.SlackBuild69
-rw-r--r--development/mtd-utils/mtd-utils.info10
-rw-r--r--development/mtd-utils/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/development/mtd-utils/README b/development/mtd-utils/README
new file mode 100644
index 0000000000..fc2a3032ac
--- /dev/null
+++ b/development/mtd-utils/README
@@ -0,0 +1,4 @@
+mtd-utils (mobile technology device utilities)
+
+Tools for accessing jffs2 images and other such utilities;
+helpful for working with mobile platforms.
diff --git a/development/mtd-utils/mtd-utils.SlackBuild b/development/mtd-utils/mtd-utils.SlackBuild
new file mode 100644
index 0000000000..ad42be98d5
--- /dev/null
+++ b/development/mtd-utils/mtd-utils.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for mtd-utils
+
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+PRGNAM=mtd-utils
+VERSION=${VERSION:-1.2.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX=64
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ make \
+ MANDIR=/usr/man
+make install \
+ MANDIR=/usr/man \
+ DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mtd-utils/mtd-utils.info b/development/mtd-utils/mtd-utils.info
new file mode 100644
index 0000000000..e18a6133d0
--- /dev/null
+++ b/development/mtd-utils/mtd-utils.info
@@ -0,0 +1,10 @@
+PRGNAM="mtd-utils"
+VERSION="1.2.0"
+HOMEPAGE="http://www.linux-mtd.infradead.org/"
+DOWNLOAD="ftp://ftp.infradead.org/pub/mtd-utils/mtd-utils-1.2.0.tar.bz2"
+MD5SUM="ca41f1fbaa056e8b8d71e8d52c0b1bad"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="rworkman"
diff --git a/development/mtd-utils/slack-desc b/development/mtd-utils/slack-desc
new file mode 100644
index 0000000000..3fc3b3c3b4
--- /dev/null
+++ b/development/mtd-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mtd-utils: mtd-utils (mobile technology device utilities)
+mtd-utils:
+mtd-utils: Tools for accessing jffs2 images and other such utilities;
+mtd-utils: helpful for working with mobile platforms.
+mtd-utils:
+mtd-utils: Homepage http://www.linux-mtd.infradead.org
+mtd-utils:
+mtd-utils:
+mtd-utils:
+mtd-utils:
+mtd-utils: